Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047175
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2021-06-17 16:492021-06-28 08:02
Reportercollazoandy4View Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047175: Take into account draft tickets when barcode is checked for duplicity in Digital Coupons

DescriptionTwo digital coupons can have the same barcode if they are defined in different drafts orders
Steps To ReproduceLog-in in the POS (YS-11 livebuilds with modules)
Add a product
Go to the payment tab
Add a "Digital Coupon" as payment
Fill the coupon data with an amount less than the pending amount and a barcode of 50
Create a new receipt
Add a product
Go to the payment tab
Add a "Digital Coupon" as payment
Fill the coupon data with an amount less than the pending amount and a barcode of 50
Check the second coupon payment can be created without any issue
TagsNo tags attached.
Attached Filespatch file icon duplicated barcode.patch [^] (2,134 bytes) 2021-06-17 16:49 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0046378 closedrqueralta Check barcode duplicity in Digital Coupons 
related to defect 0047459 scheduledrqueralta Check issuing company in Digital Coupons 

-  Notes
(0129777)
hgbot (developer)
2021-06-24 15:35

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.chequecadeau/-/merge_requests/7 [^]
(0129828)
hgbot (developer)
2021-06-28 08:02

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.chequecadeau [^]
Changeset: 67d36bb9cfa8ce21410347d55c1fb3c4f8f38bde
Author: Rafael Queralta <rafaelcuba81@gmail.com>
Date: 2021-06-24T09:33:59-04:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.chequecadeau/-/commit/67d36bb9cfa8ce21410347d55c1fb3c4f8f38bde [^]

Fixed BUG-47175: Take into account draft tickets when barcode is checked for duplicity in Digital Coupons

---
M web/org.openbravo.retail.chequecadeau/js/hooks/hookObidcoPreAddCouponHook.js
---
(0129829)
hgbot (developer)
2021-06-28 08:02

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.chequecadeau/-/merge_requests/7 [^]

- Issue History
Date Modified Username Field Change
2021-06-17 16:49 collazoandy4 New Issue
2021-06-17 16:49 collazoandy4 Assigned To => Retail
2021-06-17 16:49 collazoandy4 File Added: duplicated barcode.patch
2021-06-17 16:49 collazoandy4 Triggers an Emergency Pack => No
2021-06-17 16:50 collazoandy4 Relationship added related to 0046378
2021-06-22 00:48 rqueralta Assigned To Retail => rqueralta
2021-06-22 00:48 rqueralta Status new => scheduled
2021-06-24 15:35 hgbot Note Added: 0129777
2021-06-28 08:02 hgbot Resolution open => fixed
2021-06-28 08:02 hgbot Status scheduled => closed
2021-06-28 08:02 hgbot Note Added: 0129828
2021-06-28 08:02 hgbot Note Added: 0129829
2021-07-27 04:17 collazoandy4 Relationship added related to 0047459


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker